Author Topic: cubase versions mac/pc requirements / rewire compatibility chart  (Read 3661 times)

0 Members and 1 Guest are viewing this topic.

Offline chrisNova777

  • Administrator
  • Posts: 8341
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info


***cubase SX series requires mac os x panther & will run up to mac os leopard 10.5.4
***cubase 4 requires mac os x 10.3 panther or above
***cubase 5 requires mac os x 10.5 leopard or above
***cubase 6 requires mac os x 10.6 snow leopard or above
***cubase 7 requires mac os x 10.7 lion / 10.8 mountain lion
***cubase 8 requires mac os x 10.8 Mtn Lion / 10.9 Mavericks / 10.10 Yosemite
https://gamesystemrequirements.com/software/cubase-8
***cubase 9 requires macOS 10.11 el capitan / 10.12 Sierra ??
https://www.long-mcquade.com/83213/Software/Recording-Software/Steinberg/Cubase-Pro-9.htm
***cubase 10 requires mac os 10.12 Sierra / 10.13 High Sierra
https://www.gearnews.com/cubase-10-is-imminent-steinberg-prepare-for-a-milestone-update/
AVOID ALL AI + LE VERSIONS IF U WISH TO USE CUBASE WITH OTHER SOFTWARE VIA REWIRE!

if anyone sees anything that isnt correct please speak up!
« Last Edit: August 09, 2019, 04:43:04 AM by chrisNova777 »